| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events | Private Member Functions | Private Attributes | List of all members
IG.Forms.OutputValueSelector Class Reference

Selection of the output value of interest in an ANN model. More...

Inheritance diagram for IG.Forms.OutputValueSelector:
[legend]
Collaboration diagram for IG.Forms.OutputValueSelector:
[legend]

## Public Member Functions
| OutputValueSelector ()
void | UpdateDataDefinition ()
| Initialiyes data after data definition object been set or changed. More...
void | SetSelectedOutputId (int id)
| Replacement for the SelectedOutputId setter that has a lower access level. More...
void | UpdateSelectedParameterIdDependencies ()
| Updates things that depend on the selected parameter's index. More...

## Protected Member Functions
void | OnSelectedOutputChanged (int oldId, int newId)
| Raises the SelectedOutputIdChanged event. This method should be called preferrably, rather than the event itself. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
int | _selectedOutputId = 0

## Properties
InputOutputDataDefiniton | DataDefinition`[get, set]`
| Data about input and output quantities of the manipulated functions or response. More...
int | NumInputParameters`[get, set]`
| Gets number of input parameters. More...
int | NumOutputValues`[get, set]`
| Gets number of output values. More...
int | SelectedOutputId`[get, protected set]`
| Sequential number of the selected parameter as specified by the user. More...

## Events
EventHandler < IndexChangeEventArgs > | SelectedOutputIdChanged
| Occurs when selected output value ID is changed. More...

## Private Member Functions
void | comboBoxSelection_SelectedIndexChanged (object sender, EventArgs e)
void | txtParamNum_ValueChanged (object sender, EventArgs e)
void | btnDecrease_Click (object sender, EventArgs e)
void | btnIncrease_Click (object sender, EventArgs e)
void | menuSummary_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
InputOutputDataDefiniton | _dataDefinition
int | _numInputParameters = 2
int | _numOutputValues = 2
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Label | lblParamNum
System.Windows.Forms.Label | lblSelectParameter
System.Windows.Forms.NumericUpDown | txtValueNum
System.Windows.Forms.ComboBox | comboBoxSelection
System.Windows.Forms.Button | btnDecrease
System.Windows.Forms.Button | btnIncrease
System.Windows.Forms.Panel | pnlMain
System.Windows.Forms.ContextMenuStrip | contextMenuStrip1
System.Windows.Forms.ToolStripMenuItem | menuSummary

## Detailed Description

Selection of the output value of interest in an ANN model.

$A Igor Apr13 March16;

## Constructor & Destructor Documentation

IG.Forms.OutputValueSelector.OutputValueSelector | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.OutputValueSelector.UpdateDataDefinition | ( |  | ) |
| inline

Initialiyes data after data definition object been set or changed.

References IG.Num.InputOutputElementDefinition.Name, and IG.Num.InputOutputElementDefinition.Title.

void IG.Forms.OutputValueSelector.OnSelectedOutputChanged | ( | int | oldId,
|  | int | newId
| ) |  |
| inline protected

Raises the SelectedOutputIdChanged event. This method should be called preferrably, rather than the event itself.

Parameters

  oldId | Old output element Id.
  newId | New output element Id.

void IG.Forms.OutputValueSelector.SetSelectedOutputId | ( | int | id | ) |
| inline

Replacement for the SelectedOutputId setter that has a lower access level.

Parameters

  id | Sequential number of the output valuee to be selected.

void IG.Forms.OutputValueSelector.UpdateSelectedParameterIdDependencies | ( |  | ) |
| inline

Updates things that depend on the selected parameter's index.

void IG.Forms.OutputValueSelector.comboBoxSelection_SelectedIndexChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.OutputValueSelector.txtParamNum_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.OutputValueSelector.btnDecrease_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.OutputValueSelector.btnIncrease_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.OutputValueSelector.menuSummary_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.FadingMessage.Launch(), and IG.Forms.FadingMessage.LaunchedInParallelThread.

override void IG.Forms.OutputValueSelector.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.OutputValueSelector.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

InputOutputDataDefiniton IG.Forms.OutputValueSelector._dataDefinition
| private

int IG.Forms.OutputValueSelector._numInputParameters = 2
| private

int IG.Forms.OutputValueSelector._numOutputValues = 2
| private

int IG.Forms.OutputValueSelector._selectedOutputId = 0
| protected

System.ComponentModel.IContainer IG.Forms.OutputValueSelector.components = null
| private

Required designer variable.

System.Windows.Forms.Label IG.Forms.OutputValueSelector.lblParamNum
| private

System.Windows.Forms.Label IG.Forms.OutputValueSelector.lblSelectParameter
| private

System.Windows.Forms.NumericUpDown IG.Forms.OutputValueSelector.txtValueNum
| private

System.Windows.Forms.ComboBox IG.Forms.OutputValueSelector.comboBoxSelection
| private

System.Windows.Forms.Button IG.Forms.OutputValueSelector.btnDecrease
| private

System.Windows.Forms.Button IG.Forms.OutputValueSelector.btnIncrease
| private

System.Windows.Forms.Panel IG.Forms.OutputValueSelector.pnlMain
| private

System.Windows.Forms.ContextMenuStrip IG.Forms.OutputValueSelector.contextMenuStrip1
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.OutputValueSelector.menuSummary
| private

## Property Documentation

InputOutputDataDefiniton IG.Forms.OutputValueSelector.DataDefinition
| get set

Data about input and output quantities of the manipulated functions or response.

int IG.Forms.OutputValueSelector.NumInputParameters
| get set

Gets number of input parameters.

int IG.Forms.OutputValueSelector.NumOutputValues
| get set

Gets number of output values.

int IG.Forms.OutputValueSelector.SelectedOutputId
| get protected set

Sequential number of the selected parameter as specified by the user.

## Event Documentation

EventHandler<IndexChangeEventArgs> IG.Forms.OutputValueSelector.SelectedOutputIdChanged

Occurs when selected output value ID is changed.

The documentation for this class was generated from the following files:

- extensions/iglibext/Forms/Numeric/FromNeural/Basic/ParametricOutputValueSelector.cs
- extensions/iglibext/Forms/Numeric/FromNeural/Basic/ParametricOutputValueSelector.Designer.cs